# $Revision: 1.5 $, $Date: 2010/05/03 22:24:11 $
Summary:	JavaScript syntax highlighter
Summary(pl.UTF-8):	Podświetlacz składni napisany w JavaScript
Name:		js-syntaxhighlighter
Version:	2.1.364
Release:	2
License:	LGPL v3
Group:		Applications/WWW
# Use distfile or sth, cause DF does not like question mark in URL.
# http://alexgorbatchev.com/downloads/grab.php?name=sh
Source0:	http://execve.pl/PLD/%{name}-%{version}.zip
# Source0-md5:	839d77b07b80e56965ebcfaf2a1186be
URL:		http://alexgorbatchev.com/wiki/SyntaxHighlighter
BuildRequires:	unzip
BuildRequires:	yuicompressor
Requires:	webapps
Requires:	webserver(alias)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		syntaxhighlighter
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
A fully functional self-contained code syntax highlighter developed in
JavaScript.

%description -l pl.UTF-8
W pełni funkcjonalny podświetlacz składni napisany w języku JavaScipt.

%prep
%setup -qc

# Apache 1.3/Apache 2.x config
cat > apache.conf <<'EOF'
Alias /js/syntaxhighlighter %{_appdir}
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

# Lighttpd config
cat > lighttpd.conf <<'EOF'
alias.url += (
	"/js/syntaxhighlighter" => "%{_appdir}",
)
EOF

mkdir build
cp -a scripts styles build

%build
for I in scripts/*.js styles/*.css; do
	yuicompressor $I > build/$I
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -a build/{scripts,styles} $RPM_BUILD_ROOT%{_appdir}

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc test.html
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: js-syntaxhighlighter.spec,v $
Revision 1.5  2010/05/03 22:24:11  pawelz
- rel 2

Revision 1.4  2010/05/03 21:53:08  pawelz
- use yuicompressor to compress js scripts and csses.

Revision 1.3  2010/04/27 21:28:22  glen
- test bcond is there to disable testing process, not test data, so package the file as %doc
- apache.conf is for apache 1.3 and apache 2.x (as httpd.conf)

Revision 1.2  2010/04/27 21:21:54  pawelz
- fix webserver configs

Revision 1.1  2010/04/27 21:10:55  pawelz
- initial PLD release
